org.hibernate.search.bridge.builtin.impl

## Class NullEncodingFieldBridge

- java.lang.Object
- - org.hibernate.search.bridge.builtin.impl.NullEncodingFieldBridge

- All Implemented Interfaces:
    FieldBridge, StringBridge, BridgeAdaptor

      public class NullEncodingFieldBridge
      extends Object
      implements FieldBridge, StringBridge, BridgeAdaptor

  Author:
    Davide D'Alto

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullEncodingFieldBridge(StringBridge bridge, String nullMarker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `objectToString(Object object)` Converts the object representation to a string.
    `void` | `set(String name, Object value, Document document, LuceneOptions luceneOptions)` Manipulate the document to index the given value.
    `<T> T` | `unwrap(Class<T> bridgeClass)` Return an object of the specified type to allow access to specific bridge interfaces.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullEncodingFieldBridge

          public NullEncodingFieldBridge(StringBridge bridge,
                                         String nullMarker)

  - ### Method Detail

    - #### set

          public void set(String name,
                          Object value,
                          Document document,
                          LuceneOptions luceneOptions)

      Description copied from interface: `FieldBridge`
      Manipulate the document to index the given value.

      A common implementation is to add a Field with the given `name` to `document` following the parameters `luceneOptions` if the `value` is not `null`.

           String fieldValue = convertToString(value);
           luceneOptions.addFieldToDocument(name, fieldValue, document);

      Specified by:
        `set` in interface `FieldBridge`
      Parameters:
        `name` - The field to add to the Lucene document
        `value` - The actual value to index
        `document` - The Lucene document into which we want to index the value.
        `luceneOptions` - Contains the parameters used for adding `value` to the Lucene document.

    - #### objectToString

          public String objectToString(Object object)

      Description copied from interface: `StringBridge`
      Converts the object representation to a string.
      Specified by:
        `objectToString` in interface `StringBridge`
      Parameters:
        `object` - The object to transform into a string representation.
      Returns:
        String representation of the given object to be stored in Lucene index. The return string must not be `null`. It can be empty though.

    - #### unwrap

          public <T> T unwrap(Class<T> bridgeClass)

      Description copied from interface: `BridgeAdaptor`
      Return an object of the specified type to allow access to specific bridge interfaces.

      If no adapted bridge matches this type, `null` is returned.

      Specified by:
        `unwrap` in interface `BridgeAdaptor`
      Returns:
        An instance of the specified class, or `null` if there is none.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved